import type { UmbUserCollectionItemModel } from './types.js';
import { nothing } from '../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../../core/lit-element/index.js';
import type { UmbEntityCollectionItemElement } from '../../../../core/collection/index.js';
export declare class UmbUserCollectionItemCardElement extends UmbLitElement implements UmbEntityCollectionItemElement {
    #private;
    get item(): UmbUserCollectionItemModel | undefined;
    set item(value: UmbUserCollectionItemModel | undefined);
    selectable: boolean;
    selected: boolean;
    selectOnly: boolean;
    disabled: boolean;
    href?: string;
    private _userGroupItems;
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export { UmbUserCollectionItemCardElement as element };
declare global {
    interface HTMLElementTagNameMap {
        'umb-user-collection-item-card': UmbUserCollectionItemCardElement;
    }
}
